curl --request POST \
--url https://api.soharhealth.com/v1/verifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"patientId": "e0e2b88e-7387-4b27-aa89-e77fcf9c049c",
"memberId": "000000",
"payerId": "62308"
}
'import requests
url = "https://api.soharhealth.com/v1/verifications"
payload = {
"patientId": "e0e2b88e-7387-4b27-aa89-e77fcf9c049c",
"memberId": "000000",
"payerId": "62308"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
patientId: 'e0e2b88e-7387-4b27-aa89-e77fcf9c049c',
memberId: '000000',
payerId: '62308'
})
};
fetch('https://api.soharhealth.com/v1/verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"patientId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"verificationId": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
}{
"error": "invalid_request_error",
"param": "verificationId"
}{
"error": "invalid_request_error"
}{
"error": "Too many requests"
}Create Verification
This API is still available but no longer supported and is planned for deprecation in a future release; users should transition to the Create Verifications API.
Authorizations
Include an OAuth 2.0 bearer token in the Authorization header. See Authentication.
Body
The Sohar ID for the patient
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
The insurance member ID
"00000000"
The payer ID. See the Sohar payer list
"62308"
An NPI to identify the provider requesting benefits, typically a type 2 NPI
"0123456789"
An optional taxonomy code to override the primary taxonomy code associated with the provider's NPI number
"2084P0800X"
An optional two-digit code that describes the setting in which a service was provided
"02"
An optional identifier for the verification
45"123456"
An optional object to describe the subscriber related to the insurance member ID. Used when the patient is a dependent - the subscriber is typically a parent or spouse
Show child attributes
Show child attributes